windows 下安装 redmine

Posted on 2011-07-31 17:41 小让 阅读(6467) 评论(0)  编辑 收藏 引用

最近在一家公司实习。公司用的项目管理软件是开源的redmine,体验非常不错。我想这个东西不仅可以用来管理项目,也可以用来管理个人的学习工作进展啊。于是,我也在自己的虚拟机的2003 server 下安装。

之前为了安装wordpress,我已经在我的电脑上安装了 xampp。这是一个搭建服务器环境的傻瓜式安装包,里面集成了apache,php,mysql,phpMyAdmin,FileZilla FTP Server,Tomcat,这些组件可以选择安装。.

因为redmine是需要apache 和mysql的,所以正好。此外,redmine使用ruby写的,所以还需要ruby的环境。

配置ruby 的环境我选用的是railsinstaller 。

之前我在网上搜索安装redmine 的教程,配置ruby环境大多是用InstantRails。我实际用了一下,效果不太好。因为InstantRails2007年开始就没有更新了,里面包含的很多组件版本都很旧,直接搭建的话需要升级各种组件,而且组件之间的依赖关系比较混乱,反正我是在里面绕了很多弯路。而且InstantRails 里面自带有很低版本的apache,mysql,phpMyAdmin,如果你电脑本来安装了这些,那么又要改这些服务的端口和对应的配置文件。总之一句话,InstantRails 已经过时了。

好了,现在开始进入正题吧。

1.去redmine的官方网站下载 redmine 的最新版本。我下载的的是redmine 1.2.1.然后弄清楚这个版本的需要的环境。Redmine 的网站的Guide » Installation Guide » 会清楚的告诉你这些事项的。

2.如果你的电脑上还没有apache ,php,mysql 建议你去下载xampp,如果有的话,跳过这步。

3.railsinstaller 的官方网站去下载最新版的railsinstaller 。看它所包含的组件以及其版本。然后安装。

4.做好这些准备工作了。就可以开始配置redmine运行环境了。把redmine的解压到railsinstaller所产生的sites目录。在dos窗口进入sites\redmine目录下。

5.gem install rails -v=2.3.11         安装rails 2.3.11版本,这个redmine 1.2.1所要求的。 

6.gem install rack -v=1.1.1          安装rack 1.1.1版本,这个redmine 1.2.1所要求的。 

7.gem install -v=0.4.2 i18n  这个根据安装时返回的错误命令提示来决定。比如的我就是提示Missing the i18n 0.4.2 gem. Please `gem install -v=0.4.2 i18n`

8.进入phpMyAdmin 创建数据库。执行以下三条sql 语句。

create database redmine character set utf8;

create user 'redmine'@'localhost' identified by 'my_password';

grant all privileges on redmine.* to 'redmine'@'localhost';

9.拷贝config/database.yml.example文件到config/database.yml,修改database.yml的内容 production: 
      adapter: mysql 
      database: redmine 
      host: localhost 
      username: redmine 
      password: my_password 

Username 和password字段就是自己要设置的数据库的账号和密码。

10.回到dos 窗口下,执行 rake generate_session_store

如果提示 mysql 错误,再执行如下语句 gem install mysql 

11.然后set RAILS_ENV=production

rake db:migrate

rake redmine:load_default_data

执行rake load_default_data RAILS_ENV="production" 完后,会提示Select language: bg, bs, ca, cs, da, de, el, en, en-GB, es, eu, fi, fr, gl, he, hr, hu, id, it, ja, ko, lt, lv, mn, nl,no, pl, pt, pt-BR, ro, ru, sk, sl, sr, sr-CY, sv, th, tr, uk, vi, zh, zh-TW [en] zh
  输入zh选择中文

12.最后ruby script/server webrick -e production  启动。以后每次开机后都需要这句来启动。

13.打开浏览器 输入 http://localhost:3000 。账号,密码都是 admin 。

14.安装完了,就可以使用admin用户登录,密码也是admin,登入后,发现页面又变成了英文的,在这里要设置个人用户,修改语言为中文就可以了。然后进入管理页面,可以管理项目,用户,角色,权限,问题状态,跟踪类型,流程等。

上面的步骤是比较顺利的,如果是组件的版本有问题,这篇博客比较有价值http://like-eagle.iteye.com/blog/847218。

如果还有问题,你可以根据问题的提示去google.

下面我简单翻译一下redmine 1.2.1 官方的安装向导。(仅 windows 平台)

支持ruby 各个组件所需要的版本

Redmine version

Supported Ruby versions

Required Rails version

Required Rack version

current trunk

ruby 1.8.6, 1.8.7

Rails 2.3.11

Rack 1.1.1

trunk from r2887 to r4903

ruby 1.8.6, 1.8.7

Rails 2.3.5

Rack 1.0.1

trunk from r2493 to r2886

ruby 1.8.6, 1.8.7

Rails 2.2.2


trunk before r2493

ruby 1.8.6, 1.8.7

Rails 2.1.2


1.2.x

ruby 1.8.6, 1.8.7

Rails 2.3.11

Rack 1.1.1

1.1.x

ruby 1.8.6, 1.8.7

Rails 2.3.5

Rack 1.0.1

1.0.x

ruby 1.8.6, 1.8.7

Rails 2.3.5

Rack 1.0.1

0.9.x

ruby 1.8.6, 1.8.7

Rails 2.3.5

Rack 1.0.1

0.8.x

ruby 1.8.6, 1.8.7

Rails 2.1.2

官方发行版已经在其 vendor 目录包含了适当的Rails 版本,所以不需要为此做什么。

你也可以查看redmine 的版本,运行一下命令特地的为它安装某个版本的组件:

gem install rails -v=2.3.11

安装rack 

gem install rack -v=1.1.0

兼容性提示

· Ruby 1.9 版本目前还不支持,但你必须安装ruby 1.8.x 以上的版本。

· RubyGems 1.3.7 或者更高版本有以下限制 : 

Rails 2.3.5 rubygems 1.5.0或者更高的版本工作会失败,请使用rubygems的更早的版本!

Rails 2.3.11 rubygems 1.7.9或者更高版本工作会失败,请使用rubygems更早的版本 !

· 需要Rake 0.8.7 (rake 0.9.x 尚未被 Rails 支持)

· 需要Rack1.1.x , 1.1.0 版本有引用 (#8416)所描述的bug同其他版本的迁移会失败.

· Mongrel1.1.5 需要补丁 #7688 才能和 Rails 2.3.11工作在升级的情况下,其他问题可能会出现 (#7857).

·  Redmine >= 1.0.5版本需要I18n 0.4.2

数据库

· 需要mysql 5.0或者更高的版本。MySQL 5.0 or higher (建议

安装步骤

1.获得redmine 的源代码或者发行包。参见 Download.

2.mysql 创建一个空的数据库和一个名为 redmine的用户,例如:

create database redmine character set utf8;

create user 'redmine'@'localhost' identified by 'my_password';

grant all privileges on redmine.* to 'redmine'@'localhost';

对于mysql 5.0.2 的版本 跳过create user ,用这个代替grant all privileges on redmine.* to 'redmine'@'localhost' identified by 'my_password';

3.复制Copy config/database.yml.example改为 config/database.yml ,编辑文件配置数据库设置。例如mysql:

production:

  adapter: mysql

  database: redmine

  host: localhost

  username: redmine

  password: my_password

如果服务器没有工作在3306端口,用下面的配置代替:

production:

  adapter: mysql

  database: redmine

  host: localhost

  port: 3307

  username: redmine

  password: my_password

4.生成会话密钥:

rake generate_session_store

5.创建数据库:

AILS_ENV=production rake db:migrate

这将创建一个管理员账户。

如果你得到以下错误:

Rake aborted!

no such file to load -- net/https

你需要安装libopenssl-ruby1.8

6.向数据库插入默认的配置数据

RAILS_ENV=production rake redmine:load_default_data

7.运行使用ruby script/server webrick -e production命令

配置:

从1.2.0版本开始,redmine的配置都在config/configuration.yml文件里。不要忘记修改了默认配置都需要重启服务。

Window 用户的特别提醒

RAILS_ENV=production rake db:migrate

RAILS_ENV=production rake redmine:load_default_data

等命令已经变成了

set RAILS_ENV=production

rake db:migrate

rake redmine:load_default_data

如果你需要安装mysql ,使用如下命令:

gem install mysql

在一些情况下,你需要复制libmysql.dll到你的ruby/bin目录,但不是所有的libmysql.dll 都适合,请参考

http://instantrails.rubyforge.org/svn/trunk/InstantRails-win/InstantRails/mysql/bin/libmySQL.dll



只有注册用户登录后才能发表评论。
【推荐】超50万行VC++源码: 大型组态工控、电力仿真CAD与GIS源码库
网站导航: 博客园   IT新闻   BlogJava   知识库   博问   管理


posts - 4, comments - 0, trackbacks - 0, articles - 0

Copyright © 小让